## GocEllipse

GocEllipse — Ellipse.

## Properties

double | height | Read / Write
double | rotation | Read / Write
double | width | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

| GocEllipse
typedef | GocEllipseClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocEllipse

## Implemented Interfaces

GocEllipse implements GOStyledObject.

## Description

GocEllipse implements ellipse drawing in the canvas.

## Functions

## Types and Values

### GocEllipse

    typedef struct _GocEllipse GocEllipse;

### GocEllipseClass

    typedef GocStyledItemClass GocEllipseClass;

## Property Details

### The `“height”` property

      “height”                   double

The ellipse height.

Owner: GocEllipse

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rotation”` property

      “rotation”                 double

The rotation around top left position.

Owner: GocEllipse

Flags: Read / Write

Allowed values: [0,6.28319]

Default value: 0

### The `“width”` property

      “width”                    double

The ellipse width.

Owner: GocEllipse

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        double

The ellipse left position (or right position in RTL mode).

Owner: GocEllipse

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The ellipse top position.

Owner: GocEllipse

Flags: Read / Write

Default value: 0